Subject: Re: bug#13713: 24.3.50; C indent produces error when narrowing is active

From: Noam Postavsky <[email-masked]>
Date: Fri, 01 Dec 2017 05:04:50 -0500

found 13713 25.3
tags 13713 fixed
close 13713 26.1
quit

Dima Kogan <[email-masked]> writes:

> Hi.
>
> I'm observing an issue with emacs indentation in C mode when narrowing
> is enabled. To reproduce, create a tst.c buffer with the following 3
> lines:
>
> // 123
> // 456
> // 789
>
> I select the last 2 lines (456, 789), and narrow-to-region. Then I place
> the point at the start of the 789 line, and press 'tab'. I get this:
>
> Debugger entered--Lisp error: (args-out-of-range 1 8)

Seems to be fixed in emac-26.